package com.heyu.api.data.entity.calca;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*充值记录表
* @author quyixiao
* @since 2025-03-04
*/

@Data
@TableName("calca_recharge_log")
public class CalcaRechargeLogEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.calca.CalcaRechargeLogEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                             // id
    public final static String is_delete = CLASS_NAME + "is_delete";                // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";            // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";            // 修改时间
    public final static String recharge_amount = CLASS_NAME + "recharge_amount";    // 充值金额
    public final static String user_name = CLASS_NAME + "user_name";                // 用户名
    //id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //充值金额
    private BigDecimal rechargeAmount;
    //用户名
    private String userName;
    /**
     * id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 充值金额 
     * @return
     */
    public BigDecimal getRechargeAmount() {
        return rechargeAmount;
    }
    /**
     * 充值金额 
     * @param rechargeAmount
     */
    public void setRechargeAmount(BigDecimal rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    /**
     * 用户名 
     * @return
     */
    public String getUserName() {
        return userName;
    }
    /**
     * 用户名 
     * @param userName
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return "CalcaRechargeLogEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",rechargeAmount=" + rechargeAmount +
                ",userName=" + userName +
                "}";
    }
}